for para in $*
do
    if [[ $para == --profiling* ]];then
        profiling=${para#*=}
    fi
done

mpirun -np 32 --hostfile hostfile_deepseekv3_671B_4nodes \
              --allow-run-as-root \
              --bind-to none \
              --mca plm_rsh_no_tree_spawn 1 \
              train_deepseekv3_671B_4nodes.sh node028 --profiling=$profiling > log-4nodes-`date +%F-%H%M`.log 2>&1

wait

rm -rf output
rm -rf /public/home/xingjl/datasets/deepseekv3_dataset/mmap_deepseekv3_datasets_text_document